# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define name japa
%define version 0.4.0
%define	release	%mkrel 1

Summary: Jack and ALSA Perceptual Audio Analyser
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://www.kokkinizita.net/linuxaudio/index.html
Source0: http://www.kokkinizita.net/linuxaudio/downloads/index.html/%name-%version.tar.bz2
Source1: japa.desktop
Source2: japa.png
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: fftw3-devel
BuildRequires: clalsadrv-devel clthreads-devel clxclient-devel
BuildRequires: alsa-lib-devel jackit-devel
BuildRequires: libx11-devel libxft-devel

%description
Japa (JACK and ALSA Perceptual Analyser), is a 'perceptual' or
'psychoacoustic' audio spectrum analyser.

In contrast to JAAA, this is more an acoustical or musical tool than a
purely technical one. Possible uses include spectrum monitoring while
mixing or mastering, evaluation of ambient noise, and (using pink
noise), equalisation of PA systems.

%prep
%setup -q -n japa

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%_datadir/pixmaps
%{__install} -m 0755 japa %{buildroot}%{_bindir}/
%{__install} -m 0644 %SOURCE2 %{buildroot}%_datadir/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Japa
Comment=%{summary}
Exec=%{_bindir}/%{name} -J
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;AudioVideo;Audio;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
Encoding=UTF-8
EOF

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/*
%{_datadir}/applications/japa.desktop
%_datadir/pixmaps/%name.png

%changelog
* Mon Feb 15 2010 slick50 <lxgator@gmail.com> 0.4.0-1pclos2010
- 0.4.0

* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.1.8.2-2
- Rebuild for pclos2007

* Sun Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8.2-1
- updated to version 0.1.8.2
- spec file tweaks, use separate desktop file

* Thu May 25 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-2
- include the README in the doc section

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- updated to 0.1.8

* Fri Mar 31 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- proper build dependencies for fc5

* Wed Jan 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.2-1
- initial build
- start the app in Jack mode
